Skip to main content
POST
/
advertisers
/
{advertiserId}
/
allocations
Create allocation entry
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/buyer/advertisers/{advertiserId}/allocations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "geo": "<string>",
  "timeWindowStart": "2023-12-25",
  "timeWindowEnd": "2023-12-25",
  "spendAmount": 1,
  "decisionType": "agent_autonomous",
  "executionSource": "<string>"
}
'
{
  "data": null,
  "error": {
    "code": "<string>",
    "message": "<string>",
    "field": "<string>",
    "details": {}
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

advertiserId
string
required

Unique identifier for the advertiser

Minimum string length: 1
Example:

"12345"

Body

application/json
geo
string
required
Minimum string length: 1
timeWindowStart
string<date>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
timeWindowEnd
string<date>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
spendAmount
number
required
Required range: x >= 0
decisionType
enum<string>
required
Available options:
agent_autonomous,
agent_recommended,
human_override,
plan_inherited
executionSource
string
required
Minimum string length: 1
flightId
string
mediaBuyId
string
publisherId
string
adProductId
string
creativeId
string
audienceSegment
string
reportingMethod
string
agentConfidence
number
Required range: 0 <= x <= 1
rationale
string
hypothesisTags
object[]

Response

Create allocation entry